/*--Jeff Matheson custom.css Rocks--*/

/*--Typography--*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;500;700&display=swap');
* {
  font-family: Poppins, sans-serif;
}
.font-weight-bold {
    font-weight: bold !important;
}
.section-inherit {
    background-color: #f7f7f7;
}
.object-fit-cover {
    object-fit: cover;
    width: 100%;
}
@media (max-width: 767px) {
    .information-bar {
        margin-top: 0;
    }
}
#home-bodycontent .categories section p {
    font-size: 1rem;
}
#home-bodycontent .main-inner > .content > .container-fluid > #categories.p-t-3 {
    padding-top: 0 !important;
}
.section-inverse p a:not(.btn){
    color: #ffffff;
    text-decoration: underline;
}

/*--Utility--*/
.d-block{
    display:block;
}
.d-inline-block {
  display: inline-block;
}
@media (min-width: 768px) {.d-md-inline{display:inline!important}}
.d-none{
	display: none;
}
.mx-auto {
    margin-left:auto;
    margin-right:auto;
}
.row.no-gutters{
    margin-right: 0;
    margin-left: 0;
}
.row.no-gutters>[class*=col-] {
    padding-right: 0;
    padding-left: 0;
}
.row.eq-height {
    display: flex;
    flex-wrap: wrap;
}
.align-items-center{
    align-items: center;
}
.h-100 {
    height:100%;
}
.h-25 {
    height:25%;
}
.w-100 {
    width:100%;
}
.btn-transparent {
    color: #fff;
    border: 2px solid #fff;
}
.opaque-background {
    position: relative;
    z-index: 1;
}
.background-image {
    position: absolute;
    top: 0;
    z-index: 0;
}
.background-image img {
    position: absolute;
    display: block;
    width: 100%;
    max-width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    opacity:.25;
}
.show {
    opacity: 1 !important;
}
@media (max-width: 580px), screen and (orientation: portrait) {
    .cover-image {
        background-size: cover;
    }
    .listing-carousel-wrapper .owl-carousel button.owl-prev {
        left: -40px;
    }
    .listing-carousel-wrapper .owl-carousel button.owl-next {
        right: -40px;
    }
}

/*--Logos--*/
#primary-logo img,
#secondary-logo img {
    filter: brightness(0) invert(1);
}
/*--Hide Hero Content Until We Want To Show It--*/
#home-bodycontent .cover .cover-title-inner{
    opacity:0;
    transition: opacity 0.25s ease;
}
/*--Vertical align cover title content--*/
.cover.cover-center.agent .cover-title {
    top: 60%;
}




/*--Normalize inner header to match home page header--*/
#header .container .row-flex:nth-child(1) {
    display: flex !important;
    justify-content: flex-end;
}
@media (min-width: 992px) {
    #header .container .row-flex > .column-end {
        display: none !important;
    }
}
#header #quick-search {
    display: none;
}
#header .container .row-flex:nth-child(3),
#header .map-filter-wrapper .row-flex:nth-child(3) {
    margin-top: -30px;
}



/*--Scrolly Header--*/
#header {
    position: fixed !important;
    background-color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1) !important;
    transition: all 0.33s ease;
}
#header.scroll {
    background-color: #fff !important;
    box-shadow: 0px 5px 30px -15px rgba(0, 0, 0, 0.3);
    height: 92px;
    top: -26px;
}


#header #primary-logo img, #header #secondary-logo img {
    backface-visibility: hidden;
    transition: all 0.33s ease;
}
#header.scroll #primary-logo img, #header.scroll #secondary-logo img {
    filter: none;
    transform: scale(0.85) translate(0px, 7px) !important;
}
@media (min-width: 992px) {
    #header.scroll #primary-logo img, #header.scroll #secondary-logo img {
        transform: scale(0.7) translate(0px, -7px) !important;
    }
}


#header .navbar-toggler,
#header .navbar-toggler span {
    transition: all 0.33s ease;
    border-color: #fff;
}
#header.scroll .navbar-toggler,
#header.scroll .navbar-toggler span {
    border-color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1) !important;
}
@media (max-width: 991px) {
    #header.scroll .container .row-flex:nth-child(3) .nav-primary-wrapper,
    #header.scroll .map-filter-wrapper .row-flex:nth-child(3) .nav-primary-wrapper {
        top: 92px;
    }
}

#header.scroll .container .row-flex:nth-child(3) {
    transition: all 0.33s ease;
}
@media only screen and (min-width: 1060px) {
    #header.scroll .container .row-flex:nth-child(3),
    #header.scroll .map-filter-wrapper .row-flex:nth-child(3),
    #header.sell.scroll:not(.alt-sell-success) .container .row-flex:nth-child(3),
    #header.sell.scroll:not(.alt-sell-success) .map-filter-wrapper .row-flex:nth-child(3) {
        margin-top: -48px;
    }
}

#header .nav-primary .nav-link {
    transition: all 0.33s ease;
}
@media (min-width: 992px) {
    #header .nav-primary .nav-link {
        color: #fff;
    }
}
#header.scroll .nav-primary .nav-link {
    color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1) !important;
}








/*--Update home page property search--*/
#home-bodycontent #horizontal-search {
    margin-left: 10px;
    margin-right: 10px;
}
#home-bodycontent #horizontal-search .location-form-group {
    width: 100% !important;
}
#home-bodycontent #horizontal-search .form-group:nth-child(n+2) {
    display: none;
}
#home-bodycontent #horizontal-search .form-group:last-of-type {
    display: block;
    width: 100%;
    margin: 0;
}

@media (min-width: 768px) {
    #home-bodycontent #horizontal-search .location-form-group {
        width: 100% !important;
    }
    #home-bodycontent #horizontal-search .form-group:nth-child(n+2) {
        display: inline-block;
        width: calc(15% - 10px);
        margin: 10px 10px 0 0;
    }
    #home-bodycontent #horizontal-search .form-group:last-of-type {
        display: inline-block;
        width: calc(25% - 19px);
        margin-right: 0;
    }
}

/*--Force body up on search results when filter open - Hides content-title--*/
#search-results-bodycontent.lock-scroll {
    top: -44px !important;
}
#search-actions {
    top: 65px;
}
#search-actions .bottom-row {
    bottom: -35px;
}









#home-bodycontent .main-inner > .content > .container-fluid {
    padding: 0;
}

/*--Featured Search Areas--*/
#area-search h2 span.h4::before, #area-search h2 span.h4::after {
    display: inline-block;
    content: "";
    border-top: 1px solid #333;
    width: 25px;
    margin: 0 5px;
    transform: translateY(-8px);
}
#area-search figure {
    height:285px;
    margin: 0 0 24px 0;
    padding: 0;
    position: relative;
    display: block;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0 10px 20px rgba(0,0,0,0.2);
}
#area-search figure img{
    display: block;
    width: 100%;
    max-width: 100%;
    height: 236px;
    object-fit: cover;
    object-position: center;
    backface-visibility: hidden;
    transition: all .3s ease;
}
#area-search figure:hover img {
    transform: scale(1.1);
}
#area-search figcaption.search-location {
    position: relative;
    z-index: 1;
}
#area-search figcaption.search-options {
    position: absolute;
    bottom: 0;
    padding-bottom: 42px;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    filter: alpha(opacity=0);
    opacity: 0;
    background: rgba(255,255,255,0.75);
    -webkit-transform: translateY(100%);
    -moz-transform: translateY(100%);
    -o-transform: translateY(100%);
    -ms-transform: translateY(100%);
    transform: translateY(100%);
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}
#area-search figure:hover figcaption.search-options {
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    filter: alpha(opacity=100);
    opacity: 1;
    -webkit-transform: translateY(0);
    -moz-transform: translateY(0);
    -o-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
    top: 0;
}
#area-search figcaption.search-options a{
    display:flex;
    flex-direction:column;
    justify-content:space-evenly;
    align-items:center;
}
@supports (-ms-flow-from: thingy) { /* Edge only */
    #area-search figcaption.search-options a {
        justify-content: space-around;
        padding:20px 0;
    }
}
#area-search figcaption.search-options a:first-child {
    background-color: rgba(43,55,71, .8);
}
#area-search  figcaption.search-options a:first-child:hover {
    background-color: rgba(43,55,71, 1);
}
#area-search  figcaption.search-options a:nth-child(2) {
    background-color: rgba(51,65,84, 0.8);
}
#area-search  figcaption.search-options a:nth-child(2):hover {
    background-color: rgba(51,65,84, 1);
}
#area-search  figcaption.search-options a:nth-child(3) {
    background-color: rgba(62,78,100, 0.8);
}
#area-search  figcaption.search-options a:nth-child(3):hover {
    background-color: rgba(62,78,100, 1);
}
#area-search  figcaption.search-options a:nth-child(4) {
    background-color: rgba(73,92,117, 0.8);
}
#area-search  figcaption.search-options a:nth-child(4):hover {
    background-color: rgba(73,92,117, 1);
}

.counter-box {
    font-size: 3.5rem;
    text-shadow: 0 1px 1px #000;
    line-height: 1.2;
}

/*--Seller Resources--*/
#seller-resources .container {
    max-width: 580px;
    margin: 0 auto;
}

/*--Buyer Resources--*/
#buyer-resources .container {
    max-width: 580px;
    margin: 0 auto;
}

/*--Home Page Contact Section--*/
#get-in-touch {
    max-width: 600px;
}
#get-in-touch .form-control {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #ababab;
    font-size: 18px;
}

.cognito form{padding:20px;background-color:#fff}
.cognito .c-forms-form-title{padding-top:0!important}
.cognito .c-forms-form :not(.c-question) > .c-label,
.cognito label {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 12px !important;
    color: #000000;
    line-height: 1.3em;
}
.cognito .c-forms-form input[type=checkbox] + * {
    font-weight: bold;
}
.cognito .c-forms-form .c-forms-confirmation-message {
    color:000!important;
}
.cognito form + div{margin-left:-10000px}

body:not(#sell-bodycontent) #sellform>div>div:nth-child(1){width:75%!important}
body:not(#sell-bodycontent) #sellques, body:not(#sell-bodycontent) #sellbutton{height:54px!important; border-radius:0!important}
body:not(#sell-bodycontent) #sellbutton{margin-top:0!important;background:#252526!important;color:#fff;transition:all .2s ease-in-out}
body:not(#sell-bodycontent) #sellbutton:hover{background:#fff!important;color:#252526}
@media screen and (max-width: 625px){body:not(#sell-bodycontent) #sellform>div>div:nth-child(1),body:not(#sell-bodycontent) #sellform>div>div:nth-child(2){float:none!important;width:100%!important}}


/*--SELL PAGE--*/
#sell-bodycontent .sell-cover-title:not(.success):not(.fail) #sell{text-align:center}
/*Resize content column to full width*/
#sell-bodycontent .sell-cover-title:not(.success):not(.fail) #sell>.container>.row>.col-md-7{width:100%}
#sell-bodycontent .sell-cover-title:not(.success):not(.fail) #sell>.container>.row>.col-md-5{display:none}
/*Resize form element widths*/
@media (min-width: 768px) {
	#sell-bodycontent .sell-cover-title:not(.success):not(.fail) #sellform .col-md-7{width:calc(100% - 190px)}
	#sell-bodycontent .sell-cover-title:not(.success):not(.fail) #sellform .col-md-5{width:190px}
}

/*Style submit button*/
#sell-bodycontent .sell-cover-title:not(.success):not(.fail) #sellform #getValue{background-color:#c6a579;width:100%}

/*Style agent details under form*/
#sell-bodycontent #agent-details{max-width:350px}
@media (min-width: 768px){#sell-bodycontent #agent-details{max-width:unset}}
#sell-bodycontent #agent-details img{border-radius:50%;height:70px}
#sell-bodycontent #agent-details p{vertical-align:middle}